Skip to main content

Create a payment session

POST 

/v1/payment/sessions

Creates a new payment session and returns the session details. With channel set to email or sms, OpenHive sends the payment link to your customer over that channel. With channel set to link, nothing is sent and the link is returned in links.payment_session_url for you to deliver. After payment completion, a webhook is sent to your configured endpoint; see callbacks below for the payload.

Request​

Responses​

Payment session created successfully

Callbacks​

POST 

{$your-configured-webhook-endpoint}

[OUTGOING EVENT] Sent when a payment is successful.

[DOCUMENTATION ONLY] This webhook is sent by our system to your configured endpoint when the corresponding payment event occurs.